Inhoud

# Functie FreeLibrary

Geeft DLL's vrij die geladen zijn door een Declare-instructie. Een vrijgegeven DLL zal automatisch worden herladen als één van zijn functies wordt aangeroepen. Zie ook: Declare

## Syntaxis:

    FreeLibrary (LibNaam As String)

## Parameters:

LibNaam: String die de naam van de DLL specificeert.

FreeLibrary kan alleen DLL's vrijgeven die zijn geladen gedurende Basic-runtime.

### Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Declare Sub MyMessageBeep Lib "user32.dll" Alias "MessageBeep" ( Long )
    Sub ExampleDeclare
    Dim lValue As Long
        lValue = 5000
        MyMessageBeep( lValue )
        FreeLibrary("user32.dll" )
    End Sub